---
# Phase 1: Slice orchestrator to each vim/wim
# per dc/net-slice(Resource & VM Mgmt)
slice:
   id: TouristicCDN_sliced
   name: TouristicCDN_sliced

   vim:
      - slice-vim:
           name: cdn-xen-orc-lb-vim
           type: defined

           dc-slice-controller:
              dc-slice-provider: definded
              ip: 3xx.xxx.xxx.1
              port: 6000

           host-count-in-dc:
              group-ip: definded
              # [hosts1:195.xxx.xxx.1,host2:164.xxx.xxx.xxx,.....,]

              # Rest of message from IMA.

      - slice-vim:
           name: cdn-xen-vim
           type: XEN-SERVER

           dc-slice-controller:
              dc-slice-provider: IBM
              ip: 2xx.xxx.xxx.1
              port: 5000

           host-count-in-dc:
              group-ip: definded
              # [hosts1:195.xxx.xxx.1,host2:164.xxx.xxx.xxx,.....,]

           VM-per-host:
              ratio: 0.20  # distribute
              host-count-in-dc:
                 - id-host:
                      name: host1
                      ip-group: undefined
                 - id-host:
                      name: host2
                      ip-group: undefined
                 - id-host:
                      name: host3
                      ip-group: undefined
                 - id-host:
                      name: host4
                      ip-group: undefined
                 - id-host:
                      name: host5
                      ip-group: undefined

      - slice-vim:
           name: cdn-xen-kub-vim
           type: KUBERNETES

           # Rest of message from IMA.
   wim:
      - slice-wim:
           name: definded
           wan-slice-controller:
              wan-slice-provider: telefonica
              ip: 195.xxx.xxx.1
              port: xxx


      - slice-wim:
           name: definded


---
# Phase 2: Slice orchestrator to each vim/wim)
# per dc/net-slice (Resource & VM Monitoring)
slice:
   id: TouristicCDN_sliced
   name: TouristicCDN_sliced

   vim:
      - slice-vim:
           name: cdn-xen-orc-lb-vim
           type: defined

           # Rest of message from IMA.

      - slice-vim:
           name: cdn-xen-vim
           type: XEN-SERVER

           dc-slice-controller:
              dc-slice-provider: IBM
              ip: 2xx.xxx.xxx.1
              port: 5000

           host-count-in-dc:
              group-ip: definded
              # [hosts1:195.xxx.xxx.1,host2:164.xxx.xxx.xxx,.....,]

           monitoring-parameters:
              tool: collectd
              measurements_db_ip: undefined
              measurements_db_port: undefined
              metrics:
                 - metric:
                      name: CPU_UTILIZATION
                      granularity-secs: 10
                 - metric:
                      name: MEMORY_ALLOCATION
                      granularity-secs: 10
                 - metric:
                      name: BANDWIDTH_UTILIZATION
                      granularity-secs: 10

      - slice-vim:
           name: cdn-xen-kub-vim
           type: KUBERNETES

           # Rest of message from IMA.

   wim:
      - slice-wim:
           name: definded
           wan-slice-controller:
              wan-slice-provider: telefonica
              ip: 195.xxx.xxx.1
              port: xxx

           links:
              - dc-part1:
                   name: dc-slice1
                   dc-slice-point-of-presence:
                      pop-name: Amazon-defined
                      ip: 19x.xxx.xxx.xx1
                      router-type: Wired Router-cisco
                      reservation-protocol: BGP

              - dc-part2:
                   name: dc-slice2
                   dc-slice-point-of-presence:
                      pop-name: IBM-defined
                      ip: 19x.xxx.xxx.xx1
                      router-type: Wired Router-cisco
                      reservation-protocol: BGP

           type: interaction
           constraints:
              bandwidth: 1 GB

           monitoring-parameters:
              tool: defined
              measurements_db_ip: undefined
              measurements_db_port: undefined
              metrics:
                 - metric:
                      name: BANDWIDTH_UTILIZATION
                      granularity-secs: 10

      - slice-wim:
           name: definded
